# Getting Started

## Introduction

Welcome to VTK! We recommend that you start by reading [The VTK
Book](https://book.vtk.org), a comprehensive guide to VTK that covers all
aspects of its functionality. Additionally, you may find it helpful to explore
the [VTK Examples](https://examples.vtk.org), a collection of useful reference
materials that demonstrate how to use VTK's different modules and features.

Before diving into VTK's functionality, ensure that your system meets its
[system requirements](#system-requirements). Depending on your programming
experience and needs, you can choose different programming languages to work
with VTK. We have documentation on how to use VTK with [Python](#using-python),
[Jupyter](#using-jupyter), [C++ and CMake](#using-c-and-cmake),
[Javascript](#using-javascript), and [WebAssembly](#using-webassembly).

Lastly, to help address your specific needs, you may also consider exploring
existing free and open-source [frameworks or applications](#using-existing-frameworks-and-applications)
that already leverage VTK. These frameworks and applications can be extended and customized to work
for specific use cases and may provide ready-to-use solutions for your project.

```{include} ./system_requirements.md
:heading-offset: 1
```

```{include} ./using_python.md
:heading-offset: 1
```
```{include} ./using_jupyter.md
:heading-offset: 1
```

```{include} ./using_cpp.md
:heading-offset: 1
```

```{include} ./using_js.md
:heading-offset: 1
```

```{include} ./using_webassembly.md
:heading-offset: 1
```
```{include} ./using_frameworks.md
:heading-offset: 1
```
